| AOMedia AV1 Codec

aom.h File Reference
Supported Codecs » AOM

Provides controls common to both the AOM encoder and decoder. More...

`#include "aom/aom_codec.h"`
`#include "aom/aom_image.h"`

Go to the source code of this file.

## Data Structures
struct | av1_ref_frame
| AV1 specific reference frame data struct. More...

## Typedefs
typedef struct av1_ref_frame | av1_ref_frame_t
| AV1 specific reference frame data struct.

## Enumerations
enum | aom_com_control_id { AV1_GET_REFERENCE = 230 , AV1_SET_REFERENCE = 231 , AV1_COPY_REFERENCE = 232 , AV1_GET_NEW_FRAME_IMAGE = 233 , AV1_COPY_NEW_FRAME_IMAGE = 234 , AOM_DECODER_CTRL_ID_START = 256 }
| Control functions. More...

## Detailed Description

Provides controls common to both the AOM encoder and decoder.